@echo OFF
rem ==================================================================================
rem Function:	Configure the AOCSIMSO IP address
rem 		Upgrade the AOC-SIMSO or AOC-SIMSO+ firmware.
rem 
rem Syntax:	upgrade.bat { R421 or R422 } {SIMPSO or SIMPSOP} IP
rem 
rem Procedure:	1)-Enter in BIOS Setup.
rem		2)-move the USB key in first position in the boot list.
rem		3)-Reboot the system (The system boot on the USB key).
rem		4)-Execute C:\DOS\AOCSIMSO\Upgrade2.bat
rem ----------------------------------------------------------------------------------
rem History:
rem 20071115	Creation
rem ==================================================================================

IF "%1" == "" GOTO FATAL
IF NOT "%1" == "R421" IF NOT "%1" == "R422" GOTO FATAL

IF "%2" == "" GOTO FATAL
IF NOT "%2" == "SIMSOP" IF NOT "%2" == "SIMSO" GOTO FATAL

IF "%3" == "" GOTO FATAL


ECHO.
ECHO Re-fill the IP address.
ECHO.
IPMICFG -m %3
pause

type SDREDIT.MAN
ECHO.
ECHO Remove useless sensors.
ECHO Ex: FAN5 and FAN6 on R422
ECHO.
SDREDIT.EXE


ECHO.
ECHO Now to check the configuration, on another computer  
ECHO connect the Web browser to URL http:\\%3
ECHO Default logname is ADMIN, default password is ADMIN

ECHO.
ECHO WARNING: Dismount the bootable USB Key before the next reboot of the system.
ECHO.
pause

GOTO END99

:FATAL
ECHO.
ECHO FATAL ERROR: Syntax is:
ECHO. 
ECHO Upgrade2.exe R421 SIMSOP IP    for an R421 with AOC-SIMSO+ card.
ECHO Upgrade2.exe R422 SIMSOP IP    for an R422 or R422-INF with AOC-SIMSO+ card.
ECHO.
ECHO Upgrade2.exe R421 SIMSO  IP    for an R421 with AOC-SIMSO  card.
ECHO Upgrade2.exe R422 SIMSO  IP    for an R422 or R422-INF with AOC-SIMSO card.
ECHO.
pause

:END99
exit 99



